function state_out = th_IsentropicCompression(state_in, p_out, efficiency, species, SMediaData)
    state_out = th_SpState('Sdot', [state_in.Sdot],...
  					 'p', [p_out],...
  					 'psi', [state_in.psi],...
                     'ndot', [state_in.ndot],...
  					 'species', species,...
  					 'gas_eos_method', 1, ...
  					 'MediaData', SMediaData);
    state_out = th_HpState('Hdot', [state_in.Hdot] + (state_out.Hdot - [state_in.Hdot]) ./ efficiency,...
  					 'p', [p_out],...
                     'T_initial', state_out.T,...
  					 'psi', [state_in.psi],...
                     'ndot', [state_in.ndot],...
  					 'species', species,...
  					 'gas_eos_method', 1, ...
  					 'MediaData', SMediaData);
end